DARKRADIANT(1)

NAME
darkradiant - the level editor for The Dark Mod

SYNOPSIS

darkradiant [ options ] filename

DESCRIPTION

DarkRadiant is a level editor for The Dark Mod. It loads and saves Doom 3-format *.map files, making use of assets within a game installation tree.

OPTIONS

--disable-sound
    Disable the sound manager module. This may be useful if there are problems with sound devices on the system.

filename
    Path to a map file to load. This may be either an absolute filesystem path, or a mod-local path.

In order to allow maximum customisability by after-market mods, the id software game engines use a three-directory system: the base directory, which is where the core game assets are installed, and then two mod-specific directories known as fs_game and fs_game_base. The intention is that fs_game_base is used for the common mod assets, and fs_game is available for individual map authors to further customise assets used in their own releases.

When editing Dark Mod missions, typically fs_game_base would be set to "darkmod", with fs_game either left blank or set to the value associated with a particular map author’s own release.

These values are normally configured in preferences, but they can be overridden on the command line if required:

fs_game=game
    Override the configured fs_game value.

fs_game_base=game_base
    Override the configured fs_game_base value.

BUGS

The lighting render mode is very limited compared to the Doom 3 rendering system. In particular, there are no stencil shadows, foglights or any other complex lighting effects.

AUTHOR

DarkRadiant is developed by the Dark Mod team, at http://www.thedarkmod.com